Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map
Class DbKeyGenerator

    java.lang.Object
      org.apache.cayenne.map.DbKeyGenerator

All Implemented Interfaces:
  java.io.Serializable, CayenneMapEntry, XMLSerializable

    public class DbKeyGenerator

extends java.lang.Object
implements CayenneMapEntry, XMLSerializable, java.io.Serializable

DbKeyGenerator is an abstraction of a primary key generator It configures the primary key generation per DbEntity in a RDBMS independent manner. DbAdapter generates actual key values based on the configuration. For more details see data-map.dtd

Author:
  Andriy Shapochka
See Also:
  Serialized Form

Field Summary
`protected DbEntity` | `dbEntity`
`protected java.lang.String` | `generatorName`
`protected java.lang.String` | `generatorType`
`protected java.lang.Integer` | `keyCacheSize`
`protected java.lang.String` | `name`
`static java.lang.String` | `NAMED_SEQUENCE_TABLE_TYPE`
`static java.lang.String` | `ORACLE_TYPE`

Constructor Summary
`DbKeyGenerator()`
`DbKeyGenerator(java.lang.String name)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`DbEntity` | `getDbEntity()`
`java.lang.String` | `getGeneratorName()`
`java.lang.String` | `getGeneratorType()`
`java.lang.Integer` | `getKeyCacheSize()`
`java.lang.String` | `getName()` Returns the name property of this object.
`java.lang.Object` | `getParent()` Returns the parent map.
`void` | `setDbEntity(DbEntity dbEntity)`
`void` | `setGeneratorName(java.lang.String generatorName)`
`void` | `setGeneratorType(java.lang.String generatorType)`
`void` | `setKeyCacheSize(java.lang.Integer keyCacheSize)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(java.lang.Object parent)` Stores the parent map.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ORACLE_TYPE

    public static final java.lang.String ORACLE_TYPE

See Also:
  Constant Field Values

### NAMED_SEQUENCE_TABLE_TYPE

    public static final java.lang.String NAMED_SEQUENCE_TABLE_TYPE

See Also:
  Constant Field Values

### name

    protected java.lang.String name

### dbEntity

    protected DbEntity dbEntity

### generatorType

    protected java.lang.String generatorType

### keyCacheSize

    protected java.lang.Integer keyCacheSize

### generatorName

    protected java.lang.String generatorName

Constructor Detail

### DbKeyGenerator

    public DbKeyGenerator()

### DbKeyGenerator

    public DbKeyGenerator(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `CayenneMapEntry`
  Returns the name property of this object.

  Specified by:
    `getName` in interface `CayenneMapEntry`
  Returns:
    name of this entry.

### setName

    public void setName(java.lang.String name)

### getParent

    public java.lang.Object getParent()

  Description copied from interface: `CayenneMapEntry`
  Returns the parent map.

  Specified by:
    `getParent` in interface `CayenneMapEntry`

### setParent

    public void setParent(java.lang.Object parent)

  Description copied from interface: `CayenneMapEntry`
  Stores the parent map.

  Specified by:
    `setParent` in interface `CayenneMapEntry`

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Since:
    1.1

### getDbEntity

    public DbEntity getDbEntity()

### setDbEntity

    public void setDbEntity(DbEntity dbEntity)

### setGeneratorType

    public void setGeneratorType(java.lang.String generatorType)

### getGeneratorType

    public java.lang.String getGeneratorType()

### setKeyCacheSize

    public void setKeyCacheSize(java.lang.Integer keyCacheSize)

### getKeyCacheSize

    public java.lang.Integer getKeyCacheSize()

### setGeneratorName

    public void setGeneratorName(java.lang.String generatorName)

### getGeneratorName

    public java.lang.String getGeneratorName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.